com.labjack

## Interface LJM.LabJackM

- All Superinterfaces:
    com.sun.jna.Library
  Enclosing class:
    LJM

      public static interface LJM.LabJackM
      extends com.sun.jna.Library

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `com.sun.jna.Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LJM.LabJackM` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `LJM_AddressesToMBFB(int MaxBytesPerMBFB, int[] aAddresses, int[] aTypes, int[] aWrites, int[] aNumValues, double[] aValues, com.sun.jna.ptr.IntByReference NumFrames, byte[] aMBFBCommand)`
    `int` | `LJM_AddressesToTypes(int NumAddresses, int[] aAddresses, int[] aTypes)`
    `int` | `LJM_AddressToType(int Address, com.sun.jna.ptr.IntByReference Type)`
    `void` | `LJM_ByteArrayToFLOAT32(byte[] aBytes, int RegisterOffset, int NumFLOAT32, float[] aFLOAT32)`
    `void` | `LJM_ByteArrayToINT32(byte[] aBytes, int RegisterOffset, int NumINT32, int[] aINT32)`
    `void` | `LJM_ByteArrayToUINT16(byte[] aBytes, int RegisterOffset, int NumUINT16, short[] aUINT16)`
    `void` | `LJM_ByteArrayToUINT32(byte[] aBytes, int RegisterOffset, int NumUINT32, int[] aUINT32)`
    `int` | `LJM_CleanInfo(int InfoHandle)`
    `int` | `LJM_Close(int Handle)`
    `int` | `LJM_CloseAll()`
    `int` | `LJM_eAddresses(int Handle, int NumFrames, int[] aAddresses, int[] aTypes, int[] aWrites, int[] aNumValues, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eNames(int Handle, int NumFrames, java.lang.String[] aNames, int[] aWrites, int[] aNumValues, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadAddress(int Handle, int Address, int Type, com.sun.jna.ptr.DoubleByReference Value)`
    `int` | `LJM_eReadAddressArray(int Handle, int Address, int Type, int NumValues, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadAddressByteArray(int Handle, int Address, int NumBytes, byte[] aBytes, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadAddresses(int Handle, int NumFrames, int[] aAddresses, int[] aTypes, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadAddressString(int Handle, int Address, com.sun.jna.Pointer string)`
    `int` | `LJM_eReadName(int Handle, java.lang.String Name, com.sun.jna.ptr.DoubleByReference Value)`
    `int` | `LJM_eReadNameArray(int Handle, java.lang.String Name, int NumValues, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadNameByteArray(int Handle, java.lang.String Name, int NumBytes, byte[] aBytes, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadNames(int Handle, int NumFrames, java.lang.String[] aNames, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eReadNameString(int Handle, java.lang.String Name, com.sun.jna.Pointer string)`
    `void` | `LJM_ErrorToString(int ErrorCode, com.sun.jna.Pointer ErrorString)`
    `int` | `LJM_eStreamRead(int Handle, double[] aData, com.sun.jna.ptr.IntByReference DeviceScanBacklog, com.sun.jna.ptr.IntByReference LJMScanBacklog)`
    `int` | `LJM_eStreamStart(int Handle, int ScansPerRead, int NumAddresses, int[] aScanList, com.sun.jna.ptr.DoubleByReference ScanRate)`
    `int` | `LJM_eStreamStop(int Handle)`
    `int` | `LJM_eWriteAddress(int Handle, int Address, int Type, double Value)`
    `int` | `LJM_eWriteAddressArray(int Handle, int Address, int Type, int NumValues, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eWriteAddressByteArray(int Handle, int Address, int NumBytes, byte[] aBytes, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eWriteAddresses(int Handle, int NumFrames, int[] aAddresses, int[] aTypes, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eWriteAddressString(int Handle, int Address, java.lang.String string)`
    `int` | `LJM_eWriteName(int Handle, java.lang.String Name, double Value)`
    `int` | `LJM_eWriteNameArray(int Handle, java.lang.String Name, int NumValues, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eWriteNameByteArray(int Handle, java.lang.String Name, int NumBytes, byte[] aBytes, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eWriteNames(int Handle, int NumFrames, java.lang.String[] aNames, double[] aValues, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_eWriteNameString(int Handle, java.lang.String Name, java.lang.String string)`
    `void` | `LJM_FLOAT32ToByteArray(float[] aFLOAT32, int RegisterOffset, int NumFLOAT32, byte[] aBytes)`
    `int` | `LJM_GetHandleInfo(int Handle, com.sun.jna.ptr.IntByReference DeviceType, com.sun.jna.ptr.IntByReference ConnectionType, com.sun.jna.ptr.IntByReference SerialNumber, com.sun.jna.ptr.IntByReference IPAddress, com.sun.jna.ptr.IntByReference Port, com.sun.jna.ptr.IntByReference MaxBytesPerMB)`
    `int` | `LJM_GetSpecificIPsInfo(com.sun.jna.ptr.IntByReference InfoHandle, com.sun.jna.ptr.PointerByReference Info)`
    `void` | `LJM_INT32ToByteArray(int[] aINT32, int RegisterOffset, int NumINT32, byte[] aBytes)`
    `int` | `LJM_IPToNumber(java.lang.String IPv4String, com.sun.jna.ptr.IntByReference Number)`
    `int` | `LJM_ListAll(int DeviceType, int ConnectionType, com.sun.jna.ptr.IntByReference NumFound, int[] aDeviceTypes, int[] aConnectionTypes, int[] aSerialNumbers, int[] aIPAddresses)`
    `int` | `LJM_ListAllExtended(int DeviceType, int ConnectionType, int NumAddresses, int[] aAddresses, int[] aNumRegs, int MaxNumFound, com.sun.jna.ptr.IntByReference NumFound, int[] aDeviceTypes, int[] aConnectionTypes, int[] aSerialNumbers, int[] aIPAddresses, byte[] aBytes)`
    `int` | `LJM_ListAllS(java.lang.String DeviceType, java.lang.String ConnectionType, com.sun.jna.ptr.IntByReference NumFound, int[] aDeviceTypes, int[] aConnectionTypes, int[] aSerialNumbers, int[] aIPAddresses)`
    `int` | `LJM_LoadConfigurationFile(java.lang.String FileName)`
    `void` | `LJM_LoadConstants()`
    `int` | `LJM_LoadConstantsFromFile(java.lang.String FileName)`
    `int` | `LJM_LoadConstantsFromString(java.lang.String JsonString)`
    `int` | `LJM_Log(int Level, java.lang.String string)`
    `int` | `LJM_LookupConstantName(java.lang.String Scope, double ConstantValue, com.sun.jna.Pointer ConstantName)`
    `int` | `LJM_LookupConstantValue(java.lang.String Scope, java.lang.String ConstantName, com.sun.jna.ptr.DoubleByReference ConstantValue)`
    `int` | `LJM_MACToNumber(java.lang.String MACString, com.sun.jna.ptr.LongByReference Number)`
    `int` | `LJM_MBFBComm(int Handle, byte UnitID, byte[] aMBFB, com.sun.jna.ptr.IntByReference ErrorAddress)`
    `int` | `LJM_NamesToAddresses(int NumFrames, java.lang.String[] aNames, int[] aAddresses, int[] aTypes)`
    `int` | `LJM_NameToAddress(java.lang.String Name, com.sun.jna.ptr.IntByReference Address, com.sun.jna.ptr.IntByReference Type)`
    `int` | `LJM_NumberToIP(int Number, com.sun.jna.Pointer IPv4String)`
    `int` | `LJM_NumberToMAC(long Number, com.sun.jna.Pointer MACString)`
    `int` | `LJM_Open(int DeviceType, int ConnectionType, java.lang.String Identifier, com.sun.jna.ptr.IntByReference Handle)`
    `int` | `LJM_OpenS(java.lang.String DeviceType, java.lang.String ConnectionType, java.lang.String Identifier, com.sun.jna.ptr.IntByReference Handle)`
    `int` | `LJM_ReadLibraryConfigS(java.lang.String Parameter, com.sun.jna.ptr.DoubleByReference Value)`
    `int` | `LJM_ReadLibraryConfigStringS(java.lang.String Parameter, com.sun.jna.Pointer string)`
    `int` | `LJM_ReadRaw(int Handle, byte[] Data, int NumBytes)`
    `int` | `LJM_ResetLog()`
    `int` | `LJM_StreamBurst(int Handle, int NumAddresses, int[] aScanList, com.sun.jna.ptr.DoubleByReference ScanRate, int NumScans, double[] aData)`
    `int` | `LJM_TCVoltsToTemp(int TCType, double TCVolts, double CJTempK, com.sun.jna.ptr.DoubleByReference pTCTempK)`
    `void` | `LJM_UINT16ToByteArray(short[] aUINT16, int RegisterOffset, int NumUINT16, byte[] aBytes)`
    `void` | `LJM_UINT32ToByteArray(int[] aUINT32, int RegisterOffset, int NumUINT32, byte[] aBytes)`
    `int` | `LJM_UpdateValues(byte[] aMBFBResponse, int[] aTypes, int[] aWrites, int[] aNumValues, int NumFrames, double[] aValues)`
    `int` | `LJM_WriteLibraryConfigS(java.lang.String Parameter, double Value)`
    `int` | `LJM_WriteLibraryConfigStringS(java.lang.String Parameter, java.lang.String string)`
    `int` | `LJM_WriteRaw(int Handle, byte[] Data, int NumBytes)`

- - ### Field Detail

    - #### INSTANCE

          static final LJM.LabJackM INSTANCE

  - ### Method Detail

    - #### LJM_ListAll

          int LJM_ListAll(int DeviceType,
                          int ConnectionType,
                          com.sun.jna.ptr.IntByReference NumFound,
                          int[] aDeviceTypes,
                          int[] aConnectionTypes,
                          int[] aSerialNumbers,
                          int[] aIPAddresses)

    - #### LJM_ListAllS

          int LJM_ListAllS(java.lang.String DeviceType,
                           java.lang.String ConnectionType,
                           com.sun.jna.ptr.IntByReference NumFound,
                           int[] aDeviceTypes,
                           int[] aConnectionTypes,
                           int[] aSerialNumbers,
                           int[] aIPAddresses)

    - #### LJM_ListAllExtended

          int LJM_ListAllExtended(int DeviceType,
                                  int ConnectionType,
                                  int NumAddresses,
                                  int[] aAddresses,
                                  int[] aNumRegs,
                                  int MaxNumFound,
                                  com.sun.jna.ptr.IntByReference NumFound,
                                  int[] aDeviceTypes,
                                  int[] aConnectionTypes,
                                  int[] aSerialNumbers,
                                  int[] aIPAddresses,
                                  byte[] aBytes)

    - #### LJM_OpenS

          int LJM_OpenS(java.lang.String DeviceType,
                        java.lang.String ConnectionType,
                        java.lang.String Identifier,
                        com.sun.jna.ptr.IntByReference Handle)

    - #### LJM_Open

          int LJM_Open(int DeviceType,
                       int ConnectionType,
                       java.lang.String Identifier,
                       com.sun.jna.ptr.IntByReference Handle)

    - #### LJM_GetHandleInfo

          int LJM_GetHandleInfo(int Handle,
                                com.sun.jna.ptr.IntByReference DeviceType,
                                com.sun.jna.ptr.IntByReference ConnectionType,
                                com.sun.jna.ptr.IntByReference SerialNumber,
                                com.sun.jna.ptr.IntByReference IPAddress,
                                com.sun.jna.ptr.IntByReference Port,
                                com.sun.jna.ptr.IntByReference MaxBytesPerMB)

    - #### LJM_Close

          int LJM_Close(int Handle)

    - #### LJM_CloseAll

          int LJM_CloseAll()

    - #### LJM_CleanInfo

          int LJM_CleanInfo(int InfoHandle)

    - #### LJM_eWriteAddress

          int LJM_eWriteAddress(int Handle,
                                int Address,
                                int Type,
                                double Value)

    - #### LJM_eReadAddress

          int LJM_eReadAddress(int Handle,
                               int Address,
                               int Type,
                               com.sun.jna.ptr.DoubleByReference Value)

    - #### LJM_eWriteName

          int LJM_eWriteName(int Handle,
                             java.lang.String Name,
                             double Value)

    - #### LJM_eReadName

          int LJM_eReadName(int Handle,
                            java.lang.String Name,
                            com.sun.jna.ptr.DoubleByReference Value)

    - #### LJM_eReadAddresses

          int LJM_eReadAddresses(int Handle,
                                 int NumFrames,
                                 int[] aAddresses,
                                 int[] aTypes,
                                 double[] aValues,
                                 com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eReadNames

          int LJM_eReadNames(int Handle,
                             int NumFrames,
                             java.lang.String[] aNames,
                             double[] aValues,
                             com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eWriteAddresses

          int LJM_eWriteAddresses(int Handle,
                                  int NumFrames,
                                  int[] aAddresses,
                                  int[] aTypes,
                                  double[] aValues,
                                  com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eWriteNames

          int LJM_eWriteNames(int Handle,
                              int NumFrames,
                              java.lang.String[] aNames,
                              double[] aValues,
                              com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eReadAddressArray

          int LJM_eReadAddressArray(int Handle,
                                    int Address,
                                    int Type,
                                    int NumValues,
                                    double[] aValues,
                                    com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eReadNameArray

          int LJM_eReadNameArray(int Handle,
                                 java.lang.String Name,
                                 int NumValues,
                                 double[] aValues,
                                 com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eWriteAddressArray

          int LJM_eWriteAddressArray(int Handle,
                                     int Address,
                                     int Type,
                                     int NumValues,
                                     double[] aValues,
                                     com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eWriteNameArray

          int LJM_eWriteNameArray(int Handle,
                                  java.lang.String Name,
                                  int NumValues,
                                  double[] aValues,
                                  com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eReadAddressByteArray

          int LJM_eReadAddressByteArray(int Handle,
                                        int Address,
                                        int NumBytes,
                                        byte[] aBytes,
                                        com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eReadNameByteArray

          int LJM_eReadNameByteArray(int Handle,
                                     java.lang.String Name,
                                     int NumBytes,
                                     byte[] aBytes,
                                     com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eWriteAddressByteArray

          int LJM_eWriteAddressByteArray(int Handle,
                                         int Address,
                                         int NumBytes,
                                         byte[] aBytes,
                                         com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eWriteNameByteArray

          int LJM_eWriteNameByteArray(int Handle,
                                      java.lang.String Name,
                                      int NumBytes,
                                      byte[] aBytes,
                                      com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eAddresses

          int LJM_eAddresses(int Handle,
                             int NumFrames,
                             int[] aAddresses,
                             int[] aTypes,
                             int[] aWrites,
                             int[] aNumValues,
                             double[] aValues,
                             com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eNames

          int LJM_eNames(int Handle,
                         int NumFrames,
                         java.lang.String[] aNames,
                         int[] aWrites,
                         int[] aNumValues,
                         double[] aValues,
                         com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_eReadNameString

          int LJM_eReadNameString(int Handle,
                                  java.lang.String Name,
                                  com.sun.jna.Pointer string)

    - #### LJM_eReadAddressString

          int LJM_eReadAddressString(int Handle,
                                     int Address,
                                     com.sun.jna.Pointer string)

    - #### LJM_eWriteNameString

          int LJM_eWriteNameString(int Handle,
                                   java.lang.String Name,
                                   java.lang.String string)

    - #### LJM_eWriteAddressString

          int LJM_eWriteAddressString(int Handle,
                                      int Address,
                                      java.lang.String string)

    - #### LJM_eStreamStart

          int LJM_eStreamStart(int Handle,
                               int ScansPerRead,
                               int NumAddresses,
                               int[] aScanList,
                               com.sun.jna.ptr.DoubleByReference ScanRate)

    - #### LJM_eStreamRead

          int LJM_eStreamRead(int Handle,
                              double[] aData,
                              com.sun.jna.ptr.IntByReference DeviceScanBacklog,
                              com.sun.jna.ptr.IntByReference LJMScanBacklog)

    - #### LJM_eStreamStop

          int LJM_eStreamStop(int Handle)

    - #### LJM_StreamBurst

          int LJM_StreamBurst(int Handle,
                              int NumAddresses,
                              int[] aScanList,
                              com.sun.jna.ptr.DoubleByReference ScanRate,
                              int NumScans,
                              double[] aData)

    - #### LJM_WriteRaw

          int LJM_WriteRaw(int Handle,
                           byte[] Data,
                           int NumBytes)

    - #### LJM_ReadRaw

          int LJM_ReadRaw(int Handle,
                          byte[] Data,
                          int NumBytes)

    - #### LJM_AddressesToMBFB

          int LJM_AddressesToMBFB(int MaxBytesPerMBFB,
                                  int[] aAddresses,
                                  int[] aTypes,
                                  int[] aWrites,
                                  int[] aNumValues,
                                  double[] aValues,
                                  com.sun.jna.ptr.IntByReference NumFrames,
                                  byte[] aMBFBCommand)

    - #### LJM_MBFBComm

          int LJM_MBFBComm(int Handle,
                           byte UnitID,
                           byte[] aMBFB,
                           com.sun.jna.ptr.IntByReference ErrorAddress)

    - #### LJM_UpdateValues

          int LJM_UpdateValues(byte[] aMBFBResponse,
                               int[] aTypes,
                               int[] aWrites,
                               int[] aNumValues,
                               int NumFrames,
                               double[] aValues)

    - #### LJM_NamesToAddresses

          int LJM_NamesToAddresses(int NumFrames,
                                   java.lang.String[] aNames,
                                   int[] aAddresses,
                                   int[] aTypes)

    - #### LJM_NameToAddress

          int LJM_NameToAddress(java.lang.String Name,
                                com.sun.jna.ptr.IntByReference Address,
                                com.sun.jna.ptr.IntByReference Type)

    - #### LJM_AddressesToTypes

          int LJM_AddressesToTypes(int NumAddresses,
                                   int[] aAddresses,
                                   int[] aTypes)

    - #### LJM_AddressToType

          int LJM_AddressToType(int Address,
                                com.sun.jna.ptr.IntByReference Type)

    - #### LJM_LookupConstantValue

          int LJM_LookupConstantValue(java.lang.String Scope,
                                      java.lang.String ConstantName,
                                      com.sun.jna.ptr.DoubleByReference ConstantValue)

    - #### LJM_LookupConstantName

          int LJM_LookupConstantName(java.lang.String Scope,
                                     double ConstantValue,
                                     com.sun.jna.Pointer ConstantName)

    - #### LJM_ErrorToString

          void LJM_ErrorToString(int ErrorCode,
                                 com.sun.jna.Pointer ErrorString)

    - #### LJM_LoadConstants

          void LJM_LoadConstants()

    - #### LJM_LoadConstantsFromFile

          int LJM_LoadConstantsFromFile(java.lang.String FileName)

    - #### LJM_LoadConstantsFromString

          int LJM_LoadConstantsFromString(java.lang.String JsonString)

    - #### LJM_TCVoltsToTemp

          int LJM_TCVoltsToTemp(int TCType,
                                double TCVolts,
                                double CJTempK,
                                com.sun.jna.ptr.DoubleByReference pTCTempK)

    - #### LJM_FLOAT32ToByteArray

          void LJM_FLOAT32ToByteArray(float[] aFLOAT32,
                                      int RegisterOffset,
                                      int NumFLOAT32,
                                      byte[] aBytes)

    - #### LJM_ByteArrayToFLOAT32

          void LJM_ByteArrayToFLOAT32(byte[] aBytes,
                                      int RegisterOffset,
                                      int NumFLOAT32,
                                      float[] aFLOAT32)

    - #### LJM_UINT16ToByteArray

          void LJM_UINT16ToByteArray(short[] aUINT16,
                                     int RegisterOffset,
                                     int NumUINT16,
                                     byte[] aBytes)

    - #### LJM_ByteArrayToUINT16

          void LJM_ByteArrayToUINT16(byte[] aBytes,
                                     int RegisterOffset,
                                     int NumUINT16,
                                     short[] aUINT16)

    - #### LJM_UINT32ToByteArray

          void LJM_UINT32ToByteArray(int[] aUINT32,
                                     int RegisterOffset,
                                     int NumUINT32,
                                     byte[] aBytes)

    - #### LJM_ByteArrayToUINT32

          void LJM_ByteArrayToUINT32(byte[] aBytes,
                                     int RegisterOffset,
                                     int NumUINT32,
                                     int[] aUINT32)

    - #### LJM_INT32ToByteArray

          void LJM_INT32ToByteArray(int[] aINT32,
                                    int RegisterOffset,
                                    int NumINT32,
                                    byte[] aBytes)

    - #### LJM_ByteArrayToINT32

          void LJM_ByteArrayToINT32(byte[] aBytes,
                                    int RegisterOffset,
                                    int NumINT32,
                                    int[] aINT32)

    - #### LJM_NumberToIP

          int LJM_NumberToIP(int Number,
                             com.sun.jna.Pointer IPv4String)

    - #### LJM_IPToNumber

          int LJM_IPToNumber(java.lang.String IPv4String,
                             com.sun.jna.ptr.IntByReference Number)

    - #### LJM_NumberToMAC

          int LJM_NumberToMAC(long Number,
                              com.sun.jna.Pointer MACString)

    - #### LJM_MACToNumber

          int LJM_MACToNumber(java.lang.String MACString,
                              com.sun.jna.ptr.LongByReference Number)

    - #### LJM_WriteLibraryConfigS

          int LJM_WriteLibraryConfigS(java.lang.String Parameter,
                                      double Value)

    - #### LJM_WriteLibraryConfigStringS

          int LJM_WriteLibraryConfigStringS(java.lang.String Parameter,
                                            java.lang.String string)

    - #### LJM_ReadLibraryConfigS

          int LJM_ReadLibraryConfigS(java.lang.String Parameter,
                                     com.sun.jna.ptr.DoubleByReference Value)

    - #### LJM_ReadLibraryConfigStringS

          int LJM_ReadLibraryConfigStringS(java.lang.String Parameter,
                                           com.sun.jna.Pointer string)

    - #### LJM_LoadConfigurationFile

          int LJM_LoadConfigurationFile(java.lang.String FileName)

    - #### LJM_GetSpecificIPsInfo

          int LJM_GetSpecificIPsInfo(com.sun.jna.ptr.IntByReference InfoHandle,
                                     com.sun.jna.ptr.PointerByReference Info)

    - #### LJM_Log

          int LJM_Log(int Level,
                      java.lang.String string)

    - #### LJM_ResetLog

          int LJM_ResetLog()